"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../src");
const RECONNECT_INTERVAL_MS = 1000;
const RECONNECT_ATTEMPTS_MAX = -1;
// Subscribe on connection
const tradesFeed = new src_1.TradesFeed('wss://api.mngo.cloud/dojo/v1/', {
    reconnectionIntervalMs: RECONNECT_INTERVAL_MS,
    reconnectionMaxAttempts: RECONNECT_ATTEMPTS_MAX,
});
// Subscribe after connection
tradesFeed.onConnect(() => {
    console.log('connected');
    tradesFeed.subscribe({
        mintIds: [
            'So11111111111111111111111111111111111111112/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
        ],
    });
});
tradesFeed.onDisconnect(() => {
    console.log(`disconnected, reconnecting in ${RECONNECT_INTERVAL_MS}...`);
});
tradesFeed.onTrade((update) => {
    console.log('trade', update);
});
// tradesFeed.onMessage((goo) => {
//   console.log(isTradeCheckpoint(goo), isTradeEventUpdate(goo));
// });
tradesFeed.onStatus((update) => {
    console.log('status', update);
});
